FAQ
Hiya

There have been some fairly major changes to the way that the
authentication backwards compatibility is structured recently. This
will affect you if your application is still using a
Catalyst::Plugin::Authentication::Store::XXX or a
Catalyst::Plugin::Authentication::Credential::XXX plugin.

I'm reasonably sure that it's all working as expected, but I want to
get as much testing as possible before pushing up a release which
will install by default for people to reduce the possibility of it
causing issues for anybody.

To that end, I've pushed a dev release up to CPAN:

http://search.cpan.org/CPAN/authors/id/B/BO/BOBTFISH/Catalyst-Plugin-
Authentication-0.10009_01.tar.gz

I'm going to perform some smoke testing of the store and credential
plugins, but we also need some real testing on people's real
applications.

Therefore, please please please download and test this dev release
with _your_ applications, and let us know if it works as expected in
your environment, especially if you're still using an old-style
authentication store or credential.

Thanks in advance
t0m

P.S. Apologies if this mail produced a strange feeling of deja vous
in you - yes I am doing almost the same thing for both auth and
sessions currently!

Search Discussions

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupcatalyst @
categoriescatalyst, perl
postedJan 12, '09 at 3:19p
activeJan 12, '09 at 3:19p
posts1
users1
websitecatalystframework.org
irc#catalyst

1 user in discussion

Tomas Doran: 1 post

People

Translate

site design / logo © 2022 Grokbase